package com.zoniot.ccrc.controller;

import com.zoniot.ccrc.commom.model.AjaxMessage;
import com.zoniot.ccrc.commom.model.ResultStatus;
import com.zoniot.ccrc.dao.SiteMapper;
import com.zoniot.ccrc.dto.GridInfo;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@RestController
@RequestMapping("/external")
@Api(tags = "对外接口")
public class ExternalApiController {

    @Autowired
    private SiteMapper siteMapper;

    @PostMapping("getSiteCustomerIds")
    @ApiOperation(value = "获取站点客户id")
    public AjaxMessage<List<Integer>> getSiteCustomerIds() {
        List<Integer> list = siteMapper.getSiteCustomerIds();

        return new AjaxMessage<>(ResultStatus.OK, list);
    }
}


