package com.zoniot.ccrc.controller.applets;


import com.zoniot.ccrc.commom.model.AjaxMessage;
import com.zoniot.ccrc.commom.model.ResultStatus;
import com.zoniot.ccrc.dto.PriceInfo;
import com.zoniot.ccrc.dto.UseWaterAnalyze;
import com.zoniot.ccrc.dto.UseWaterDto;
import com.zoniot.ccrc.dto.WaterPriceDto;
import com.zoniot.ccrc.service.StatisticsService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.ResponseBody;

import java.util.List;

@Slf4j
@Controller
@ResponseBody
@RequestMapping("statistics")
@Api(tags = "小程序统计分析")
public class StatisticsController {


    @Autowired
    private StatisticsService statisticsService;

    @ResponseBody
    @GetMapping("/getRealTimeUseWater")
    @ApiOperation(value = "实时用水量")
    public AjaxMessage<List<UseWaterDto>> getRealTimeUseWater(
            @ApiParam(value = "查询范围，7:近7日，30:近30日", required = true) @RequestParam(required = true) Integer period
    ) {
      List<UseWaterDto> list = statisticsService.getRealTimeUseWater(period);
        return new AjaxMessage<>(ResultStatus.OK, list);
    }

    @ResponseBody
    @GetMapping("/getThirtyDaysUseWater")
    @ApiOperation(value = "用水量近30天")
    public AjaxMessage<UseWaterAnalyze> getThirtyDaysUseWater()
     {
        UseWaterAnalyze useWaterAnalyze =statisticsService.getThirtyDaysUseWater();



        return new AjaxMessage<>(ResultStatus.OK, useWaterAnalyze);
    }

    @ResponseBody
    @GetMapping("/getUseWaterAnalyze")
    @ApiOperation(value = "用水分析")
    public AjaxMessage<UseWaterAnalyze> getUseWaterAnalyze(

    ) {
        UseWaterAnalyze useWaterAnalyze = statisticsService.getUseWaterAnalyze();
        return new AjaxMessage<>(ResultStatus.OK, useWaterAnalyze);
    }

    @ResponseBody
    @GetMapping("/waterPriceQuery")
    @ApiOperation(value = "水价查询")
    public AjaxMessage<PriceInfo> waterPriceQuery(

    ) {
        PriceInfo priceInfo = statisticsService.waterPriceQuery();
        return new AjaxMessage<>(ResultStatus.OK, priceInfo);
    }


}
