package com.zoniot.ccrc.dao;

import com.zoniot.ccrc.dto.SiteUserDto;
import com.zoniot.ccrc.dto.UserDto;
import com.zoniot.ccrc.entity.Site;
import com.zoniot.ccrc.entity.SiteUser;
import com.zoniot.ccrc.entity.User;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface SiteUserMapper {
    int insert(@Param("siteUser") SiteUser siteUser);

    int insertSelective(@Param("siteUser") SiteUser siteUser);

    int insertList(@Param("siteUsers") List<SiteUser> siteUsers);

    int updateByPrimaryKeySelective(@Param("siteUser") SiteUser siteUser);

    int deleteBySiteId(@Param("siteId") Integer siteId, @Param("updateBy") String updateBy, @Param("isAdmin") Integer isAdmin);

    List<UserDto> unbindUser(@Param("siteId") Integer siteId);

    SiteUser findByUserId(@Param("userId") Integer userId);

    Site findSiteByUserId(@Param("userId") Integer userId);

    List<UserDto> deleteQuery(@Param("userIds") List<Integer> userIds);

    List<UserDto> getAllUserList(@Param("siteId") Integer siteId, @Param("organId") Integer organId);

    List<Integer> findBySiteId(@Param("siteId") Integer siteId, @Param("isAdmin") Integer isAdmin);

    List<UserDto> getAllUserListByUserRange(@Param("siteId") Integer siteId, @Param("organId") Integer organId, @Param("userList") List<User> userList);

    Site getSiteByUserId(@Param("userId") Integer userId);

    List<SiteUserDto> getSiteByUserIdV2(@Param("userId") Integer userId);

    SiteUser findBySiteIdAndUserId(@Param("siteId") Integer siteId, @Param("userId") Integer userId);

    int deleteBySiteIdAndUserIds(@Param("siteId") Integer siteId, @Param("userIds") List<Integer> userIds);
}
