package com.zoniot.ccrc.entity;

import com.fasterxml.jackson.annotation.JsonIgnore;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;

@ApiModel(value="客户用水阶段")
@Data
public class CustomerWaterStage {

    @ApiModelProperty(value="id")
    private Integer id;


    @ApiModelProperty(value="客户id")
    private Integer customerId;


    @JsonIgnore
    @ApiModelProperty(value="类型 1：居民 2：单位 3：特殊",hidden = true)
    private Integer type;

    @ApiModelProperty(value="阶段名称")
    private String name;


    @ApiModelProperty(value="最小值")
    private BigDecimal minValue;


    @ApiModelProperty(value="最大值")
    private BigDecimal maxValue;

    @ApiModelProperty(value="阶段水价")
    private BigDecimal waterPrice;

    @JsonIgnore
    @ApiModelProperty(value="状态",hidden = true)
    private Integer status;

    @ApiModelProperty(value = "阶梯类型 1：非阶梯 2：月阶梯 3：年阶梯", position = 1)
    private Integer laddertype;

    @JsonIgnore
    @ApiModelProperty(value="null",hidden = true)
    private String createBy;

    @JsonIgnore
    @ApiModelProperty(value="null",hidden = true)
    private LocalDateTime createDate;

    @JsonIgnore
    @ApiModelProperty(value="null",hidden = true)
    private String updateBy;

    @JsonIgnore
    @ApiModelProperty(value="null",hidden = true)
    private LocalDateTime updateDate;
}