package com.zoniot.ccrc.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnore;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
@ApiModel("设备测点")
public class DeviceMeasuringPoint implements Serializable {
    @ApiModelProperty(value = "id",position = 1)
    private Integer id;

    @ApiModelProperty(value = "测点名称",position = 2)
    private String measuringPointName;

    @ApiModelProperty(value = "代号",position = 3)
    private String codeName;

    @ApiModelProperty(value = "数据单位",position = 4)
    private String dataUnit;

    @ApiModelProperty(value = "类型",position = 5)
    private Integer measuringPointType;

    @JsonIgnore
    @ApiModelProperty(value = "状态 0：删除 1：正常", position = 6, hidden = true)
    private Integer status;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建时间", position = 50, hidden = true)
    private LocalDateTime createDate;

    @ApiModelProperty(value = "创建人", position = 51, hidden = true)
    private String createBy;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "更新时间", position = 52, hidden = true)
    private LocalDateTime updateDate;

    @ApiModelProperty(value = "更新用户", position = 53, hidden = true)
    private String updateBy;

}
