package com.zoniot.ccrc.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

@Data
@ApiModel("文件")
public class File {
    @ApiModelProperty(value = "id",position = 1)
    private String id;

    @ApiModelProperty(value = "文件类型",position = 1)
    private String fileType;

    @ApiModelProperty(value = "文件大小",position = 1)
    private Long size;

    @ApiModelProperty(value = "文件名称",position = 1)
    private String name;

    @ApiModelProperty(value = "路径",position = 1)
    private String path;

    @ApiModelProperty(value = "url",position = 1)
    private String url;

    @ApiModelProperty(value = "类型",position = 1)
    private Integer type;

    @ApiModelProperty(value = "状态 0:禁用 1:正常", position = 9, hidden = true)
    private Integer status;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建时间", position = 50, hidden = true)
    private LocalDateTime createDate;

    @ApiModelProperty(value = "创建人", position = 51, hidden = true)
    private String createBy;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "更新时间", position = 52, hidden = true)
    private LocalDateTime updateDate;

    @ApiModelProperty(value = "更新用户", position = 53, hidden = true)
    private String updateBy;
}
